Results 1 to 10 of 17

Thread: Ubuntu 12.04 update problem

Hybrid View

  1. #1
    Join Date
    Jun 2010
    Beans
    26

    Ubuntu 12.04 update problem

    I have installed fresh copy of Ubuntu 12.04 x64bit and have some problems with the lightdm after some struggling I finally installed nvidia-current and nvidia-setting by adding

    to repositories. then everything seemed good and then I have started to get and install required softwares and packages from Ubuntu software Center. I need almost scientific computation related packages like eclipse, scilab, wxmaxima and... . all of them installed very good but Scilab doesn't start it returned an error like "scilab can not find its main classpath" and some errors related to java library missing. then I removed it. also I cannot run nvclock software which was a package for Nvidia graphic card controlling and everclocking. I have installed CUDA toolkit and run it very good and still it works fine. the main problem: after these installations when I run sudo nautilus in command prompt I give this error:
    Initializing nautilus-gdu extension Nautilus-Share-Message: Called "net usershare info" but it failed: 'net usershare' returned error 255: Ignoring unknown parameter "server role" net usershare: cannot open usershare directory /var/lib/samba/usershares. Error No such file or directory Please ask your system administrator to enable user sharing.
    also when I run update manager it gives me error that it can not install all updates and suggest partial upgrade. when I do it it upgrades my 12.04 ubuntu to 12.1 version and also it have many problems. I recovered my 12.04 version again and try ro run update but after updating about 400 Mb also many problems occured, too.
    I try to run these codes which was suggested for fixing this problem:
    sudo apt-get install aptitude
    sudo aptitude update
    sudo aptitude dist-upgrade
    but aptitude tell me, it wants to remove some libraries and packages and the nvidia-current! which is very important for me and it doen't want to update or upgrade nvidia-current!
    please help me now I can not update my ubuntu...
    Last edited by a.kazemi; November 20th, 2012 at 03:34 PM.

  2. #2
    ibjsb4 is offline Ubuntu addict and loving it
    Join Date
    Sep 2012
    Beans
    5,003

    Re: Ubuntu 12.04 update problem

    May just want to wait a while.

    Partial upgrade

  3. #3
    Join Date
    Jun 2010
    Beans
    26

    Re: Ubuntu 12.04 update problem

    Quote Originally Posted by ibjsb4 View Post
    May just want to wait a while.

    Partial upgrade
    Thanks for the link. I do not understand whats should I do now? it says wait for couple of hours but even after somedays I face the problem again and again and cannot update my ubuntu because partial upgrade packages wants to be updated

  4. #4
    Join Date
    Jan 2008
    Location
    Nappanee, IN
    Beans
    602
    Distro
    Xubuntu 12.04 Precise Pangolin

    Re: Ubuntu 12.04 update problem

    You do not have the full path for the repository you added. It must tell your repository what version of Ubuntu you want to upgrade. The correct path for the ppa should look something like:
    Code:
    http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu precise main binary-amd64
    There may or may not be more slashes and other punctuation in the ppa call.

    Also, your apt-get line is messed up badly for execution. It should read:
    Code:
    sudo apt-get update && sudo apt-get install aptitude && sudo aptitude update && sudo aptitude dist-upgrade
    You may also use apt-get for the entire line, as such:
    Code:
    sudo apt-get update && sudo apt-get dist-upgrade
    Also, did you do a ppa-install? Or did you at least download and install the GPG key for the repository? If you don't know what I am talking about in the last two questions, you should spend a LOT of time reading up about ppa repositories before you attempt to install another, or follow directions exactly.
    Last edited by cwsnyder; November 20th, 2012 at 03:22 PM. Reason: needed questions about ppa key

  5. #5
    Join Date
    May 2006
    Location
    Milwaukee,WI
    Beans
    6,282
    Distro
    Xubuntu 14.04 Trusty Tahr

    Re: Ubuntu 12.04 update problem

    i think first we need to understand what you really want. Do you really want to upgrade to the latest bleeding edge ubuntu? 12.04 is a Long ZTerm Support release so it's supported for 5 years. If you want to stick with an LTS release then stop trying to upgrade to 12.10. Don't issue dist-upgrade, just do normal updates.

  6. #6
    Join Date
    Jun 2010
    Beans
    26

    Re: Ubuntu 12.04 update problem

    Quote Originally Posted by dannyboy79 View Post
    i think first we need to understand what you really want. Do you really want to upgrade to the latest bleeding edge ubuntu? 12.04 is a Long ZTerm Support release so it's supported for 5 years. If you want to stick with an LTS release then stop trying to upgrade to 12.10. Don't issue dist-upgrade, just do normal updates.
    I do not want to upgrade to 12.1, I just want to update my 12.04 ubuntu as usual but when I open update manager it try to upgrade my ubuntu and the softwares. at this time I have some errors around my ubuntu like the nautilus which I have mentioned above also I have problem with eclipse it cannot connect to its repositories and check for update but the link I give it for the repository is correct and I have installed its toolkits from that link before this problem emerged.

    now my main problem is updating! I can not update ubuntu as usual and when I try to do it with update manager it try to upgrade my ubuntu

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •